# $Revision: 1.25 $, $Date: 2004/10/31 12:29:43 $
Summary:	A mail notification program designed for blackbox
Summary(pl):	Powiadamiacz o poczcie zaprojektowany dla blackboksa
Name:		bbmail
Version:	0.8.3
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://bbtools.windsofstorm.net/sources/%{name}-%{version}.tar.gz
# Source0-md5:	fc5dd75c3350402a3740a9982f206118
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-fmod.patch
URL:		http://bbtools.windsofstorm.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bbmail is a tool which notifies you about arriving mail. It works
great with blackbox window manager, because it use it's theme, but it
can also work with other. bbmail can use multiple mailboxes (in many
types) and is highly configurable.

%description -l pl
bbmail jest programem powiadamiajcym o przychodzcej poczcie.
Wsppracuje z zarzdc okien blackbox, uywajc jego ustawie
wygldu, aczkolwiek moe te dziaa z innym. Obsuguje wiele 
skrzynek pocztowych (w rnych formatach) i jest wysoce 
konfigurowalny.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/bb*
%dir %{_sysconfdir}/bbtools
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bbmail.spec,v $
Revision 1.25  2004/10/31 12:29:43  qboosh
- added /etc/bbtools dir to package (shared between bb* packages); release 3

Revision 1.24  2004/08/30 15:56:41  snurf
- another typo

Revision 1.23  2004/08/30 15:50:27  snurf
- typo / formatting / etc.

Revision 1.22  2004/08/10 19:06:06  averne
- rel 2

Revision 1.21  2004/08/10 18:59:36  averne
- refresh config.sub

Revision 1.20  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.19  2003/08/06 16:33:22  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.18  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.17  2003/05/26 13:44:34  misi3k
- added Source0-md5

Revision 1.16  2003/05/26 12:46:34  misi3k
- updated to 0.8.3

Revision 1.15  2003/05/25 05:45:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/06 21:26:15  migo
- random fixes in descriptions

Revision 1.13  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.12  2002/10/10 11:56:33  marcus
- use new %%doc

Revision 1.11  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 15:51:50  arturs
fixed a small typo

Revision 1.8  2002/04/12 19:56:29  marcus
- added patch for properly linking on ppc
- rel.3.

Revision 1.7  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/03 20:42:43  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/24 05:20:38  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/01/23 20:06:27  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 2

Revision 1.1  2002/01/23 10:48:08  filon
- new cute package
